%define module  bugzilla

Name:           python-bugzilla
Version:        2.5.0
Release:        %mkrel 1
Summary:        A python library and tool for interacting with Bugzilla
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/python-bugzilla/python-bugzilla
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(docutils)

%description
python-bugzilla is a python 2/3 library for interacting with bugzilla instances
over XML-RPC. This package also includes the 'bugzilla' command-line tool
for interacting with bugzilla from shell scripts.

%package -n python3-bugzilla
Summary:  A python 3 library for interacting with Bugzilla
Group:    Development/Python
%{?python_provide:%python_provide python3-bugzilla}

%description -n python3-%{module}
python3-bugzilla is a python 3 library for interacting with bugzilla instances
over XML-RPC.

%package cli
Summary:  A python CLI tool for interacting with Bugzilla
Group:    Development/Tools
Requires: python3-%{module}

%description cli
This package includes the 'bugzilla' command-line tool
for interacting with bugzilla from shell scripts.


%prep
%setup -q


%build
%py3_build


%install
%py3_install


%check
# Disabling due to requiring redhat.com credentials
# %%{__python3} setup.py test
true

%files cli
%doc COPYING README.md
%{_bindir}/bugzilla


%files -n python3-%{module}
%doc COPYING README.md
%{python3_sitelib}/%{module}
%{python3_sitelib}/*egg-info


%changelog
* Sun Jul 12 2020 shlomif <shlomif> 2.5.0-1.mga8
+ Revision: 1605338
- New version 2.5.0

* Fri Jul 03 2020 shlomif <shlomif> 2.4.0-1.mga8
+ Revision: 1601674
- New version 2.4.0

* Tue Feb 18 2020 umeabot <umeabot> 2.3.0-2.mga8
+ Revision: 1539630
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 2.3.0-1.mga8
+ Revision: 1465477
- New version 2.3.0

* Wed Sep 18 2019 daviddavid <daviddavid> 2.2.0-4.mga8
+ Revision: 1443487
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 2.2.0-3.mga7
+ Revision: 1351502
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.0-2.mga7
+ Revision: 1288387
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 shlomif <shlomif> 2.2.0-1.mga7
+ Revision: 1253093
- New version 2.2.0

* Sat Nov 04 2017 shlomif <shlomif> 2.1.0-1.mga7
+ Revision: 1175891
- New version 2.1.0

* Sat Aug 05 2017 pterjan <pterjan> 1.2.2-5.mga7
+ Revision: 1135329
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.2.2-4.mga6
+ Revision: 970727
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.2.2-3.mga6
+ Revision: 888073
- Rebuild for new Python3 (3.5.x)

* Mon Oct 05 2015 shlomif <shlomif> 1.2.2-2.mga6
+ Revision: 886501
- Importing python-bugzilla - thanks to Neal Gompa/Son_Goku

